org.springframework.beans.factory.annotation

## Class InjectionMetadata

- java.lang.Object
- - org.springframework.beans.factory.annotation.InjectionMetadata

-     public class InjectionMetadata
      extends Object

  Internal class for managing injection metadata. Not intended for direct use in applications.

  Used by `AutowiredAnnotationBeanPostProcessor`, `CommonAnnotationBeanPostProcessor` and `PersistenceAnnotationBeanPostProcessor`.

  Since:
    2.5
  Author:
    Juergen Hoeller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InjectionMetadata.InjectedElement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InjectionMetadata(Class<?> targetClass, Collection<InjectionMetadata.InjectedElement> elements)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkConfigMembers(RootBeanDefinition beanDefinition)`
    `void` | `inject(Object target, String beanName, PropertyValues pvs)`
    `static boolean` | `needsRefresh(InjectionMetadata metadata, Class<?> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InjectionMetadata

          public InjectionMetadata(Class<?> targetClass,
                                   Collection<InjectionMetadata.InjectedElement> elements)

  - ### Method Detail

    - #### checkConfigMembers

          public void checkConfigMembers(RootBeanDefinition beanDefinition)

    - #### inject

          public void inject(Object target,
                             String beanName,
                             PropertyValues pvs)
                      throws Throwable

      Throws:
        `Throwable`

    - #### needsRefresh

          public static boolean needsRefresh(InjectionMetadata metadata,
                                             Class<?> clazz)